Skip to main content
Client Get Api Key
curl --request GET \
  --url https://agents-api.kolena.com/api/v1/client/api-keys/{key_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://agents-api.kolena.com/api/v1/client/api-keys/{key_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://agents-api.kolena.com/api/v1/client/api-keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "api_key_hint": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Rate Limit: This endpoint is limited to requests per minute per user.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.

Path Parameters

key_id
string<uuid>
required

Response

Successful Response

id
string
required

The ID of this API key.

name
string
required

The name of this API key.

created_at
string<date-time>
required

When this API key was created, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)

expires_at
string<date-time> | null
required

When this API key expires, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00), or null if it never expires.

created_by
string
required

The email address of the user who created this API key.

status
enum<string>
required

The current status of this API key (active or expired).

Available options:
active,
expired
api_key_hint
string
required

Partial API key hint